statistics-0.10.2.0: A library of statistical types, data, and functions

Portability | portable
Stability | experimental
Maintainer | bos@serpentine.com
Safe Haskell | None

Statistics.Distribution.Hypergeometric

Contents

- Constructors
  - Accessors

Description

The Hypergeometric distribution. This is the discrete probability distribution that measures the probability of k successes in l trials, without replacement, from a finite population.

The parameters of the distribution describe k elements chosen from a population of l, with m elements of one type, and l-m of the other (all are positive integers).

Synopsis

- data HypergeometricDistribution
- hypergeometric :: Int -> Int -> Int -> HypergeometricDistribution
- hdM :: HypergeometricDistribution -> Int
- hdL :: HypergeometricDistribution -> Int
- hdK :: HypergeometricDistribution -> Int

# Documentation

data HypergeometricDistribution Source

Instances

Eq HypergeometricDistribution |
Read HypergeometricDistribution |
Show HypergeometricDistribution |
Typeable HypergeometricDistribution |
Variance HypergeometricDistribution |
MaybeVariance HypergeometricDistribution |
Mean HypergeometricDistribution |
MaybeMean HypergeometricDistribution |
DiscreteDistr HypergeometricDistribution |
Distribution HypergeometricDistribution |

# Constructors

hypergeometric Source

Arguments

:: Int | m
-> Int | l
-> Int | k
-> HypergeometricDistribution |

## Accessors

hdM :: HypergeometricDistribution -> Int Source

hdL :: HypergeometricDistribution -> Int Source

hdK :: HypergeometricDistribution -> Int Source